org.eclipse.jgit.api

## Class ShowNoteCommand

- java.lang.Object
- - org.eclipse.jgit.api.GitCommand<Note>
  - - org.eclipse.jgit.api.ShowNoteCommand

All Implemented Interfaces:
  Callable<Note>

    public class ShowNoteCommand
    extends GitCommand<Note>

Show an object note.

See Also:
  Git documentation about Notes

### Field Summary

### Fields inherited from class org.eclipse.jgit.api.GitCommand

`repo`

### Constructor Summary

Constructors
`protected` `ShowNoteCommand(Repository repo)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Note` `call()` Executes the command
`ShowNoteCommand` `setNotesRef(String notesRef)`
`ShowNoteCommand` `setObjectId(RevObject id)` Sets the object id of object you want a note on

### Methods inherited from class org.eclipse.jgit.api.GitCommand

`checkCallable, getRepository, setCallable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShowNoteCommand

    protected ShowNoteCommand(Repository repo)

Parameters:
  `repo` -

### Method Detail

#### call

    public Note call()
              throws GitAPIException

Description copied from class: `GitCommand`
Executes the command

Specified by:
  `call` in interface `Callable<Note>`
Specified by:
  `call` in class `GitCommand<Note>`
Returns:
  T a result. Each command has its own return type
Throws:
  `GitAPIException` - or subclass thereof when an error occurs

#### setObjectId

    public ShowNoteCommand setObjectId(RevObject id)

Sets the object id of object you want a note on

Parameters:
  `id` -
Returns:
  `this`

#### setNotesRef

    public ShowNoteCommand setNotesRef(String notesRef)

Parameters:
  `notesRef` - the ref to read notes from. Note, the default value of `Constants.R_NOTES_COMMITS` will be used if nothing is set
Returns:
  `this`
See Also:
  `Constants.R_NOTES_COMMITS`